Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleExtendedText

    public interface AccessibleExtendedText

The AccessibleExtendedText interface contains additional methods not provided by the AccessibleText interface Applications can determine if an object supports the AccessibleExtendedText interface by first obtaining its AccessibleContext (see `Accessible`) and then calling the `AccessibleContext.getAccessibleText()` method of AccessibleContext. If the return value is an instance of AccessibleExtendedText, the object supports this interface.

See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleContext.getAccessibleText()`, `AccessibleText.AccessibleTextChunk`

Field Summary
`static int` | `ATTRIBUTE_RUN` Constant used to indicate that the part of the text that should be retrieved is contiguous text with the same text attributes.
`static int` | `LINE` Constant used to indicate that the part of the text that should be retrieved is a line of text.

Method Summary
`Rectangle` | `getTextBounds(int startIndex, int endIndex)` Returns the bounding rectangle of the text between two indices.
`String` | `getTextRange(int startIndex, int endIndex)` Returns the text between two indices
`AccessibleTextSequence` | `getTextSequenceAfter(int part, int index)` Returns the AccessibleTextSequence after a given index.
`AccessibleTextSequence` | `getTextSequenceAt(int part, int index)` Returns the AccessibleTextSequence at a given index.
`AccessibleTextSequence` | `getTextSequenceBefore(int part, int index)` Returns the AccessibleTextSequence before a given index.

Field Detail

### LINE

    static final int LINE

  Constant used to indicate that the part of the text that should be retrieved is a line of text.

  See Also:
    `#getAtIndex`, `#getAfterIndex`, `#getBeforeIndex`, Constant Field Values

### ATTRIBUTE_RUN

    static final int ATTRIBUTE_RUN

  Constant used to indicate that the part of the text that should be retrieved is contiguous text with the same text attributes.

  See Also:
    `#getAtIndex`, `#getAfterIndex`, `#getBeforeIndex`, Constant Field Values

Method Detail

### getTextRange

    String getTextRange(int startIndex,
                        int endIndex)

  Returns the text between two indices

  Parameters:
    `startIndex` - the start index in the text
    `endIndex` - the end index in the text
  Returns:
    the text string if the indices are valid. Otherwise, null is returned.

### getTextSequenceAt

    AccessibleTextSequence getTextSequenceAt(int part,
                                             int index)

  Returns the AccessibleTextSequence at a given index.

  Parameters:
    `part` - the CHARACTER, WORD, SENTENCE, LINE or ATTRIBUTE_RUN to retrieve
    `index` - an index within the text
  Returns:
    an AccessibleTextSequence specifying the text if part and index are valid. Otherwise, null is returned.
  See Also:
    `AccessibleText.CHARACTER`, `AccessibleText.WORK`, `AccessibleText.SENTENCE`

### getTextSequenceAfter

    AccessibleTextSequence getTextSequenceAfter(int part,
                                                int index)

  Returns the AccessibleTextSequence after a given index.

  Parameters:
    `part` - the CHARACTER, WORD, SENTENCE, LINE or ATTRIBUTE_RUN to retrieve
    `index` - an index within the text
  Returns:
    an AccessibleTextSequence specifying the text if part and index are valid. Otherwise, null is returned.
  See Also:
    `AccessibleText.CHARACTER`, `AccessibleText.WORK`, `AccessibleText.SENTENCE`

### getTextSequenceBefore

    AccessibleTextSequence getTextSequenceBefore(int part,
                                                 int index)

  Returns the AccessibleTextSequence before a given index.

  Parameters:
    `part` - the CHARACTER, WORD, SENTENCE, LINE or ATTRIBUTE_RUN to retrieve
    `index` - an index within the text
  Returns:
    an AccessibleTextSequence specifying the text if part and index are valid. Otherwise, null is returned.
  See Also:
    `AccessibleText.CHARACTER`, `AccessibleText.WORK`, `AccessibleText.SENTENCE`

### getTextBounds

    Rectangle getTextBounds(int startIndex,
                            int endIndex)

  Returns the bounding rectangle of the text between two indices.

  Parameters:
    `startIndex` - the start index in the text
    `endIndex` - the end index in the text
  Returns:
    the bounding rectangle of the text if the indices are valid. Otherwise, null is returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.